summaryrefslogtreecommitdiff
path: root/packages/obexpush/files
diff options
context:
space:
mode:
Diffstat (limited to 'packages/obexpush/files')
-rw-r--r--packages/obexpush/files/.mtn2git_empty0
-rw-r--r--packages/obexpush/files/init29
2 files changed, 29 insertions, 0 deletions
diff --git a/packages/obexpush/files/.mtn2git_empty b/packages/obexpush/files/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/obexpush/files/.mtn2git_empty
diff --git a/packages/obexpush/files/init b/packages/obexpush/files/init
new file mode 100644
index 0000000000..ac1fd62ead
--- /dev/null
+++ b/packages/obexpush/files/init
@@ -0,0 +1,29 @@
+#!/bin/sh
+#
+# /etc/init.d/obd: start or stop the OBEX Push helper daemon
+#
+
+PARAMS="--mode OBEX --channel 10 --path /tmp/opd --sdp --metadata"
+
+case "$1" in
+ start)
+ echo -n "Starting OBEX Push helper: opd"
+ opd $PARAMS &
+ ;;
+ stop)
+ echo -n "Shutting down OBEX Push helper: opd"
+ killall opd
+ ;;
+ restart|force-reload)
+ echo -n "Restarting OBEX Push helper: opd"
+ killall opd
+ sleep 2
+ obd $PARAMS &
+ ;;
+ *)
+ echo "Usage: /etc/init.d/obd {start|stop|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0